# Module os::mm

source · [−]

## Re-exports

`pub use address::PhysAddr;`
`pub use address::PhysPageNum;`
`pub use address::StepByOne;`
`pub use address::VirtAddr;`
`pub use address::VirtPageNum;`
`pub use frame_allocator::frame_alloc;`
`pub use frame_allocator::frame_dealloc;`
`pub use frame_allocator::FrameTracker;`
`pub use memory_set::remap_test;`
`pub use memory_set::kernel_token;`
`pub use memory_set::MapPermission;`
`pub use memory_set::MemorySet;`
`pub use memory_set::KERNEL_SPACE;`
`pub use memory_set::KERNEL_SPACE;`
`pub use page_table::translated_byte_buffer;`
`pub use page_table::translated_ref;`
`pub use page_table::translated_refmut;`
`pub use page_table::translated_str;`
`pub use page_table::PageTable;`
`pub use page_table::PageTableEntry;`
`pub use page_table::UserBuffer;`
`pub use page_table::UserBufferIterator;`

## Modules

address 🔒
frame_allocator 🔒
heap_allocator 🔒
memory_set 🔒
page_table 🔒

## Functions

init